%define date 20001209

Summary: True Type Font Manager.
Name: ttfm
Version: 0.9.1
Release: 8
License: Distributable
Group: System Environment/Base
Source: ttfm-%{version}.tar.gz
Patch0: ttfm-0.9.1-misc.patch 
Patch1: ttfm-0.9.1-ftpath.patch
BuildRequires: freetype-devel >= 1.3.1
Prereq: /bin/mkdir /bin/ls /bin/sh
Buildroot: %{_tmppath}/%{name}-root
URL: http://cle.linux.org.tw/

%description
A True Type Font Manager that handles true type font installation,
uninstallation, list, and default font setting. The package contains
xttfm, which creates appropriate font.dir and font.alias for truetype
font in the X Window System. A program using truetype font should
provide a module for ttfm so that the font could be controlled
automatically.

%prep
%setup -q
%patch -p1 -b .misc
%patch1 -p1 -b .ftpath

%build
export FREETYPE_INCL=/usr/include/freetype1/freetype 
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/usr/share/fonts/install
prefix=$RPM_BUILD_ROOT/usr make -e install
prefix=$RPM_BUILD_ROOT/usr make -e modules_install

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ "$1" = 1 ] && /usr/sbin/ttfm.sh --initm all > /dev/null 2>&1
exit 0

%files
%defattr(-,root,root)
%doc README USAGE
/usr/bin/ttfinst.tk
/usr/bin/ttfinfo
/usr/sbin/ttfm.sh
%dir /usr/share/fonts/install
/usr/share/fonts/install/xttfm.ttfm
# only xttfm.ttfm, the other modules are provided by packages using TTF fonts

%changelog
* Wed Aug  1 2001 Matt Wilson <msw@redhat.com>
- redirect all %%post script output to /dev/null

* Mon Jul 02 2001 Karsten Hopp <karsten@redhat.de>
- fix includepath for freetype

* Mon Jul 02 2001 Than Ngo <than@redhat.com>
- fix ttfm error on install when no fonts to install (Bug #46587)

* Thu Jun 28 2001 Yukihiro Nakai <ynakai@redhat.com>
- License fix

* Wed Jun 27 2001 Yukihiro Nakai <ynakai@redhat.com>
- Rebuild for RHL 7.2

* Wed Dec 13 2000 Chung-Yen Chang <candyz@cle.linux.org.tw>
- fix ttfm.sh md5 bugs

* Sat Dec 09 2000 Chung-Yen Chang <candyz@cle.linux.org.tw>
- move xttfm.ttfm to xttfm-tcl.ttfm
- add ghostscript6.ttfm xfreetype.ttfm xttfm.ttfm (by keith)

* Wed Feb  2 2000 Yuan-Chung Cheng <platin@linux.org.tw>
- remove all /usr/share/fonts/install/ modules, these modules should be
  provided by packages using TTF fonts.

* Fri Jan 07 2000 Chih-Wei Huang <cwhuang@linux.org.tw>
- added USAGE information

* Thu Jan 06 2000 Chih-Wei Huang <cwhuang@linux.org.tw>
- xttfm updated
- fixed stupid bug in ttfm.sh

* Wed Jan 05 2000 Chih-Wei Huang <cwhuang@linux.org.tw>
- added --initm
- enhanced --list
- added README

* Tue Jan 04 2000 Chih-Wei Huang <cwhuang@linux.org.tw>
- first release
